var default_preferences = {"pbkdf2_level": 1000,
			   "account_url": "https://gpass-demo.soutade.fr/demo"};

function save() {
    var account_url = document.getElementById('account_url').value;
    var pbkdf2 = document.getElementById('pbkdf2').value;

    chrome.storage.local.set({
	'account_url': account_url,
	'pbkdf2': pbkdf2,
    }, function() {
	alert('Saved');
    });
}

chrome.storage.local.get(null, function(prefs) {
    if (!prefs.hasOwnProperty("account_url"))
	account_url = default_preferences['account_url'];
    else
	account_url = prefs['account_url'];

    if (!prefs.hasOwnProperty("pbkdf2_level"))
	pbkdf2 = default_preferences['pbkdf2_level'];
    else
	pbkdf2 = prefs['pbkdf2_level'];
    
    document.getElementById('account_url').value = account_url;
    document.getElementById('pbkdf2').value = pbkdf2;
});

document.getElementById('save').addEventListener("click", save);
